API documentation | API docs for agents | OpenAPI 3.1

GET /api/v1/loads/{loadId}/notifications

ark.get_load_notification_settings

Returns tracking notification settings for a visible load, including recipients, event toggles, throttle interval, and last sent timestamp.

Availability
Expanded preview
Scopes
loads:read
ARK permissions
canViewLoads
Team visibility
Required and enforced
Idempotency-Key
Not required
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

loadIdpathstringrequired
format: uuid

Request body

None.

Example request

Shell
curl 'https://arktms.com/api/v1/loads/<loadId>/notifications' \
  -H "Authorization: Bearer $ARK_API_TOKEN"

Success response

Load notification settings

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.loadIdstringrequired

format: uuid

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found